XmlRpcConnection::XmlRpcConnection Class Reference

class for XML-RPC connections; returns Qore::Xml::XmlRpcClient objects More...

Inherits HttpBasedConnection.

## Public Member Functions

| constructor (string name, string desc, string url, bool monitor, *hash opts, hash urlh)
| creates the XmlRpcConnection object More...
hash | getOptions ()
| gets options More...
*hash | getDefaultOptions ()
| returns default options
string | getType ()
| returns `"xmlrpc"`

## Static Public Member Functions

static XmlRpcConnection | make (string name, string desc, string url, bool monitor, *hash opts, hash urlh)
| static constructor

## Private Member Functions

Qore::Xml::XmlRpcClient | getImpl (bool connect=True, *hash rtopts)
| returns a Qore::Xml::XmlRpcClient object More...

## Detailed Description

class for XML-RPC connections; returns Qore::Xml::XmlRpcClient objects

supports the following options:

- `"http_version"`: HTTP version to use (`"1.0"` or `"1.1"`, defaults to `"1.1"`)
- `"max_redirects"`: maximum redirects to support
- `"proxy"`: proxy URL to use
- `"timeout"`: transfer timeout to use in milliseconds
- `"connect_timeout"`: connection timeout to use in milliseconds

See also
  XmlRpcClient::constructor() for more information on the above options

## Member Function Documentation

## constructor()

XmlRpcConnection::XmlRpcConnection::constructor | ( | string | name,
|  | string | desc,
|  | string | url,
|  | bool | monitor,
|  | *hash | opts,
|  | hash | urlh
| ) |  |

creates the XmlRpcConnection object

Parameters

  name | the name of the connection
  desc | connection description
  url | connection URL (potentially with password info)
  monitor | monitoring flag
  opts | connection options
  urlh | broken down URL hash (as returned by Qore::parse_url())

## getImpl()

Qore::Xml::XmlRpcClient XmlRpcConnection::XmlRpcConnection::getImpl | ( | bool | connect = `True`,
|  | *hash | rtopts
| ) |  |

private

returns a Qore::Xml::XmlRpcClient object

Parameters

  connect | if True, then the connection is returned already connected
  rtopts | this connection type does not accept any runtime options, so this parameter is ignored

Returns
  a Qore::Xml::XmlRpcClient object

## getOptions()

hash XmlRpcConnection::XmlRpcConnection::getOptions | ( |  | ) |

gets options

Returns
  returns a hash with the following supported options:
  - `"http_version"`: HTTP version to use (`"1.0"` or `"1.1"`, defaults to `"1.1"`)
  - `"max_redirects"`: maximum redirects to support
  - `"proxy"`: proxy URL to use
  - `"timeout"`: transfer timeout to use in milliseconds
  - `"connect_timeout"`: connection timeout to use in milliseconds

See also
  XmlRpcClient::constructor() for more information on the above options